# Configuration file for MegaLinter
# See all available variables at https://megalinter.github.io/configuration/ and in linters documentation

EXCLUDED_DIRECTORIES:
# APPLY_FIXES: all # all, none, or list of linter keys
ENABLE:
  - YAML
  - CREDENTIALS
  - GIT
  # - PYTHON
  - DOCKERFILE
  - OPENAPI
  - REPOSITORY
  - BASH
  - ENV
  - MARKDOWN
ENABLE_LINTERS:
  - PYTHON_BLACK
  - PYTHON_RUFF
DISABLE_LINTERS:
  # - PYTHON_MYPY
  - REPOSITORY_CHECKOV
  - REPOSITORY_SECRETLINT
  - REPOSITORY_TRIVY
PARALLEL: true
SHOW_ELAPSED_TIME: true
# FILEIO_REPORTER: false
# DISABLE_ERRORS: true # Uncomment if you want MegaLinter to detect errors but not block CI to pass
